SUSE SLED15 / SLES15セキュリティ更新プログラム:jasper(SUSE-SU-2020:2689-1)

high Nessus プラグイン ID 143883

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このjasper用更新プログラムでは、以下の問題を修正します。修正されたセキュリティ問題:

CVE-2016-9398:すでに修正済みの問題のパッチを改善しました(bsc#1010979)。

CVE-2016-9399:calcstepsizesのアサートを修正します(bsc#1010980)。

CVE-2017-5499:コンポーネントの深度ビットを検証します(bsc#1020451)。

CVE-2017-5503:jas_seq2d_bindsub()で境界を確認します(bsc#1020456)。

CVE-2017-5504:jas_seq2d_bindsub()で境界を確認します(bsc#1020458)。

CVE-2017-5505:jas_seq2d_bindsub()で境界を確認します(bsc#1020460)。

CVE-2017-14132:コンポーネントをチェックすることで、ヒープベースのオーバーフローを修正します(bsc#1057152)。

CVE-2018-9252:jpc_abstorelstepsizeの到達可能なアサーションを修正します(bsc#1088278)。

CVE-2018-18873:ras_putdatastdのNULLポインターデリファレンスを修正します(bsc#1114498)。

CVE-2018-19139:jpc_unk_destroyparmsを登録することでメモリリークを修正します(bsc#1115637)。

CVE-2018-19543、bsc#1045450 CVE-2017-9782:numchansの取り違えを修正します(bsc#1117328)。

CVE-2018-20570:jp2_encode内のヒープベースのバッファオーバーリードを修正します(bsc#1120807)。

CVE-2018-20622:jas_malloc.cのメモリリークを修正します(bsc#1120805)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP1:

zypper in -t patch SUSE-SLE-Module-Packagehub-Subpackages-15-SP1-2020-2689=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP2:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP2-2020-2689=1

SUSE Linux Enterprise Module for Desktop Applications 15-SP1:

zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-SP1-2020-2689=1

SUSE Linux Enterprise Module for Basesystem 15-SP2:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP2-2020-2689=1

SUSE Linux Enterprise Module for Basesystem 15-SP1:

zypper in -t patch SUSE-SLE-Module-Basesystem-15-SP1-2020-2689=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1010979

https://bugzilla.suse.com/show_bug.cgi?id=1010980

https://bugzilla.suse.com/show_bug.cgi?id=1020451

https://bugzilla.suse.com/show_bug.cgi?id=1020456

https://bugzilla.suse.com/show_bug.cgi?id=1020458

https://bugzilla.suse.com/show_bug.cgi?id=1020460

https://bugzilla.suse.com/show_bug.cgi?id=1045450

https://bugzilla.suse.com/show_bug.cgi?id=1057152

https://bugzilla.suse.com/show_bug.cgi?id=1088278

https://bugzilla.suse.com/show_bug.cgi?id=1114498

https://bugzilla.suse.com/show_bug.cgi?id=1115637

https://bugzilla.suse.com/show_bug.cgi?id=1117328

https://bugzilla.suse.com/show_bug.cgi?id=1120805

https://bugzilla.suse.com/show_bug.cgi?id=1120807

https://www.suse.com/security/cve/CVE-2016-9398/

https://www.suse.com/security/cve/CVE-2016-9399/

https://www.suse.com/security/cve/CVE-2017-14132/

https://www.suse.com/security/cve/CVE-2017-5499/

https://www.suse.com/security/cve/CVE-2017-5503/

https://www.suse.com/security/cve/CVE-2017-5504/

https://www.suse.com/security/cve/CVE-2017-5505/

https://www.suse.com/security/cve/CVE-2017-9782/

https://www.suse.com/security/cve/CVE-2018-18873/

https://www.suse.com/security/cve/CVE-2018-19139/

https://www.suse.com/security/cve/CVE-2018-19543/

https://www.suse.com/security/cve/CVE-2018-20570/

https://www.suse.com/security/cve/CVE-2018-20622/

https://www.suse.com/security/cve/CVE-2018-9252/

http://www.nessus.org/u?a79158b1

プラグインの詳細

深刻度: High

ID: 143883

ファイル名: suse_SU-2020-2689-1.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2020/12/9

更新日: 2021/1/13

サポートされているセンサー: Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5.9

CVSS v2

リスクファクター: Medium

Base Score: 6.8

Temporal Score: 5

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.8

Temporal Score: 6.8

ベクトル: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:jasper, p-cpe:/a:novell:suse_linux:jasper-debuginfo, p-cpe:/a:novell:suse_linux:jasper-debugsource, p-cpe:/a:novell:suse_linux:libjasper-devel, p-cpe:/a:novell:suse_linux:libjasper4, p-cpe:/a:novell:suse_linux:libjasper4-debuginfo, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2020/9/21

脆弱性公開日: 2017/3/1

参照情報

CVE: CVE-2016-9398, CVE-2016-9399, CVE-2017-14132, CVE-2017-5499, CVE-2017-5503, CVE-2017-5504, CVE-2017-5505, CVE-2017-9782, CVE-2018-18873, CVE-2018-19139, CVE-2018-19543, CVE-2018-20570, CVE-2018-20622, CVE-2018-9252